package com.emato.ccnet.biz.req.order.csp;

import com.emato.ccnet.biz.req.CebReqGetDate;
import com.emato.ccnet.domain.kmall.OrderBill;
import com.emato.ccnet.service.kmall.KmallOrderService;
import com.google.common.collect.ImmutableMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Map;

@Component
@Transactional(value = "primaryTransactionManager")
public class Ceb311OrderGetDate implements CebReqGetDate {
    @Autowired
    private KmallOrderService kmallOrderService;

    /**
     * 获取kmall数据并更新状态
     * @param param
     * @return
     */
    @Override
    public List getData(Map<String, Object> param) {
        //取支付单数据
        List<OrderBill> list = kmallOrderService.getOrderBill(param);
        if (list == null || list.size() == 0) {
            return Collections.emptyList();
        }

        //更新取出支付单状态
        List<Map<String, Object>> updateList = new ArrayList<>();
        list.stream().forEach(x->{
            Map<String, Object> map = ImmutableMap.of("orderNo", x.getOrderNo(), "cusOrderFlag", "1");
            updateList.add(map);
        });
        if (updateList.size() > 0) {
            kmallOrderService.updateCusKmallOrderStatusBatch(updateList);
        }
        return list;
    }
}
