package com.emato.ccnet.biz.req.pay.icbc;

import com.emato.ccnet.biz.req.CebReqSendDateAfter;
import com.emato.ccnet.service.kmall.KmallOrderService;
import com.google.common.collect.ImmutableMap;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * 海关支付单 报文发送后
 * @author Scott Chen
 * @version 1.0
 * 2017-11-07 21:56
 */
@Component
public class Ceb411PayBillSendAfter implements CebReqSendDateAfter {
    private static final Logger LOGGER = LoggerFactory.getLogger(Ceb411PayBillSendAfter.class);

    @Autowired
    private KmallOrderService kmallOrderService;

    @Override
    public boolean afterSend(List<String> sucList, List<String> failedList) {
        List<Map<String, Object>> sucs = new ArrayList<>();
        List<Map<String, Object>> faileds = new ArrayList<>();

        //全部处理完后
        if (sucList.size() > 0) {
            LOGGER.info("--- 【CEB411】更新【成功】报文订单记录......");
            sucList.stream().forEach(x->{
                Map<String, Object> map = ImmutableMap.of("orderNo", x, "cusPayBillFlag", "2");
                sucs.add(map);
            });
            int i = kmallOrderService.updateCusKmallOrderStatusBatch(sucs);
        }

        if (failedList.size() > 0) {
            LOGGER.info("--- 【CEB411】更新【失败】报文订单记录......");
            failedList.stream().forEach(x->{
                Map<String, Object> map = ImmutableMap.of("orderNo", x, "cusPayBillFlag", "3");
                faileds.add(map);
            });
            int i = kmallOrderService.updateCusKmallOrderStatusBatch(faileds);
        }

        return true;
    }
}
