package com.emato.ccnet.biz.req.waybill.oms;

import com.emato.ccnet.biz.req.CebReqGetDate;
import com.emato.ccnet.domain.kmall.WayBill;
import com.emato.ccnet.service.kmall.KmallOrderService;
import com.google.common.collect.ImmutableMap;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Map;

/**
 * 海关电子订单, 海关运单 数据
 * @author Scott Chen
 * @version 1.0
 * 2017-11-07 09:57
 */
@Component
@Transactional(value = "primaryTransactionManager")
public class Ceb511OmsWayGetDate implements CebReqGetDate {
    private static final Logger LOGGER = LoggerFactory.getLogger(Ceb511OmsWayGetDate.class);

    @Autowired
    private KmallOrderService kmallOrderService;

    /**
     * 获取kmall数据
     * @param param
     * @return
     */
    @Override
    public List getData(Map<String, Object> param) {
        //取订单数据
        List<WayBill> list = kmallOrderService.getWaybills(param);
        if (list == null || list.size() == 0) {
            return Collections.emptyList();
        }

        //更新取出订单状态
        List<Map<String, Object>> updateList = new ArrayList<>();
        list.stream().forEach(x->{
            Map<String, Object> map = ImmutableMap.of("orderNo", x.getOrderNo(),"cusWaybillFlag", "1");
            updateList.add(map);
        });

        int i = 0;
        if (updateList.size() > 0) {
            i = kmallOrderService.updateCusKmallOrderStatusBatch(updateList);
        }

        return list;
    }

}
