package com.emato.ccnet.cus.message.req;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import java.io.Serializable;

/**
 * EPort请求报文适配器
 * 所有EPort请求报文适配器父类
 * 设置报文属性
 *
 * @author Scott Chen
 * @date 2017/11/05
 */
@XmlAccessorType(XmlAccessType.FIELD)
public class CebReqRoot implements Serializable {

    private static final long serialVersionUID = -1329830271583172202L;

    /**
     * EPorty消息类型
     * 此处主要用于业务判断
     * 需要手动设置,一般在转换器内设置
     */
     private String messageType;

    /**
     * 请求消息XML属性
     */
    @XmlAttribute
    public String xmlns;

    /**
     * EPort请求XML属性
     */
    @XmlAttribute(name="xmlns:xsi")
    private String xmlnsXsi;

    /**
     * EPort请求XML属性
     */
    @XmlAttribute
    public String guid;

    /**
     * EPort请求XML属性
     */
    @XmlAttribute
    public String version;

    @Override
    public String toString() {
        return "CebRoot{" +
                "messageType='" + messageType + '\'' +
                ", xmlns='" + xmlns + '\'' +
                ", xmlnsXsi='" + xmlnsXsi + '\'' +
                ", guid='" + guid + '\'' +
                ", version='" + version + '\'' +
                '}';
    }


    public String getMessageType() {
        return messageType;
    }

    public void setMessageType(String messageType) {
        this.messageType = messageType;
    }

    public String getXmlns() {
        return xmlns;
    }

    public void setXmlns(String xmlns) {
        this.xmlns = xmlns;
    }

    public String getXmlnsXsi() {
        return xmlnsXsi;
    }

    public void setXmlnsXsi(String xmlnsXsi) {
        this.xmlnsXsi = xmlnsXsi;
    }

    public String getGuid() {
        return guid;
    }

    public void setGuid(String guid) {
        this.guid = guid;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

}
