package com.emato.ccnet.cus.message.resp;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import java.io.Serializable;

/**
 * 全部回执报文适配器抽象类
 * 所有EPort回执报文适配器父类
 *
 * @author Scott Chen
 * @date 2016/11/19
 */
@XmlAccessorType(XmlAccessType.FIELD)
public class CebRespRoot implements Serializable {

    private static final long serialVersionUID = -4957481003625861410L;
    /**
     * 文件名
     */
    private String fileName;

    /**
     * 机构类型
     * CHCUS:海关, SZCIQ:国检, EPORT:电子口岸
     */
    private String orgType;

    /**
     * EPort回执消息类型
     * 此处主要用于业务判断
     * 部分回执无此字段,需要手动设置,一般在转换器内设置
     */
     private String messageType;

    /**
     * 回执消息XML属性
     */
    @XmlAttribute
    public String xmlns;

    /**
     * EPort回执XML属性
     */
    @XmlAttribute(name="xmlns:xsi")
    private String xmlnsXsi;

    /**
     * EPort回执XML属性
     */
    @XmlAttribute
    public String guid;

    /**
     * EPort回执XML属性
     */
    @XmlAttribute
    public String version;


    @Override
    public String toString() {
        return "EportResponseXmlJsonAbstract{" +
                "fileName='" + fileName + '\'' +
                "orgType='" + orgType + '\'' +
                "messageType='" + messageType + '\'' +
                ", xmlns='" + xmlns + '\'' +
                ", xmlnsXsi='" + xmlnsXsi + '\'' +
                ", guid='" + guid + '\'' +
                ", version='" + version + '\'' +
                '}';
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getOrgType() {
        return orgType;
    }

    public void setOrgType(String orgType) {
        this.orgType = orgType;
    }

    public String getMessageType() {
        return messageType;
    }

    public void setMessageType(String messageType) {
        this.messageType = messageType;
    }

    public String getXmlns() {
        return xmlns;
    }

    public void setXmlns(String xmlns) {
        this.xmlns = xmlns;
    }

    public String getXmlnsXsi() {
        return xmlnsXsi;
    }

    public void setXmlnsXsi(String xmlnsXsi) {
        this.xmlnsXsi = xmlnsXsi;
    }

    public String getGuid() {
        return guid;
    }

    public void setGuid(String guid) {
        this.guid = guid;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

}
