package com.emato.ccnet.domain.ccnet;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 
 */

public class CusAlipayResp implements Serializable {
    
    private static final long serialVersionUID = 4477850167319125761L;
    /**
     * 支付单(阿里)回执内部编号
     */
    private String cusAlipayRespSn;

    /**
     * 支付单内部编号
     */
    private String cusPaySn;

    /**
     * ccnet订单编号，20位
     */
    private String orderSn;

    /**
     * 商户订单编号
     */
    private String merchOrderSn;

    /**
     * 商户编号
     */
    private String merchSn;

    /**
     * 第三方商户代码
     */
    private String thirdPartyMerchCode;

    /**
     * 发送状态，0:待发送，1:发送中，2:发送成功，3:发送失败
     */
    private String sendStatus;

    /**
     * 支付宝报关流水号
     */
    private String alipayDeclareNo;

    /**
     * 支付宝推送到海关的支付单据号
     */
    private String tradeNo;

    /**
     * 业务消息代码，SUCCESS：成功，FAIL：失败
     */
    private String bizInfoCode;

    /**
     * 业务消息描述
     */
    private String bizInfoDesc;

    /**
     * 详细错误代码，对返回响应码进行原因说明，当result_code响应码为SUCCESS时，不返回该参数
     */
    private String detailErrorCode;

    /**
     * 对详细错误码进行文字说明，当result_code响应码为SUCCESS时，不返回该参数
     */
    private String detailErrorDes;

    /**
     * 订购人支付人姓名和身份证号验证，T:一致，F:不一致，对于同一笔报关单支付宝只会校验一次，如果多次重推不会返回此参数
     */
    private String identityCheck;

    /**
     * 备注
     */
    private String note;

    /**
     * 创建人编号
     */
    private String createrSn;

    /**
     * 创建时间,yyyy-MM-dd HH:mm:ss
     */
    private Date createTime;

    /**
     * 修改人编号
     */
    private String moderSn;

    /**
     * 修改时间,yyyy-MM-dd HH:mm:ss
     */
    private Date modTime;

    /**
     * 时间戳
     */
    private Date tstm;

    public String getCusAlipayRespSn() {
        return cusAlipayRespSn;
    }

    public void setCusAlipayRespSn(String cusAlipayRespSn) {
        this.cusAlipayRespSn = cusAlipayRespSn;
    }

    public String getCusPaySn() {
        return cusPaySn;
    }

    public void setCusPaySn(String cusPaySn) {
        this.cusPaySn = cusPaySn;
    }

    public String getOrderSn() {
        return orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }

    public String getMerchOrderSn() {
        return merchOrderSn;
    }

    public void setMerchOrderSn(String merchOrderSn) {
        this.merchOrderSn = merchOrderSn;
    }

    public String getMerchSn() {
        return merchSn;
    }

    public void setMerchSn(String merchSn) {
        this.merchSn = merchSn;
    }

    public String getThirdPartyMerchCode() {
        return thirdPartyMerchCode;
    }

    public void setThirdPartyMerchCode(String thirdPartyMerchCode) {
        this.thirdPartyMerchCode = thirdPartyMerchCode;
    }

    public String getSendStatus() {
        return sendStatus;
    }

    public void setSendStatus(String sendStatus) {
        this.sendStatus = sendStatus;
    }

    public String getAlipayDeclareNo() {
        return alipayDeclareNo;
    }

    public void setAlipayDeclareNo(String alipayDeclareNo) {
        this.alipayDeclareNo = alipayDeclareNo;
    }

    public String getTradeNo() {
        return tradeNo;
    }

    public void setTradeNo(String tradeNo) {
        this.tradeNo = tradeNo;
    }

    public String getBizInfoCode() {
        return bizInfoCode;
    }

    public void setBizInfoCode(String bizInfoCode) {
        this.bizInfoCode = bizInfoCode;
    }

    public String getBizInfoDesc() {
        return bizInfoDesc;
    }

    public void setBizInfoDesc(String bizInfoDesc) {
        this.bizInfoDesc = bizInfoDesc;
    }

    public String getDetailErrorCode() {
        return detailErrorCode;
    }

    public void setDetailErrorCode(String detailErrorCode) {
        this.detailErrorCode = detailErrorCode;
    }

    public String getDetailErrorDes() {
        return detailErrorDes;
    }

    public void setDetailErrorDes(String detailErrorDes) {
        this.detailErrorDes = detailErrorDes;
    }

    public String getIdentityCheck() {
        return identityCheck;
    }

    public void setIdentityCheck(String identityCheck) {
        this.identityCheck = identityCheck;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public String getCreaterSn() {
        return createrSn;
    }

    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModerSn() {
        return moderSn;
    }

    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    public Date getModTime() {
        return modTime;
    }

    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    public Date getTstm() {
        return tstm;
    }

    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        CusAlipayResp other = (CusAlipayResp) that;
        return (this.getCusAlipayRespSn() == null ? other.getCusAlipayRespSn() == null : this.getCusAlipayRespSn().equals(other.getCusAlipayRespSn()))
            && (this.getCusPaySn() == null ? other.getCusPaySn() == null : this.getCusPaySn().equals(other.getCusPaySn()))
            && (this.getOrderSn() == null ? other.getOrderSn() == null : this.getOrderSn().equals(other.getOrderSn()))
            && (this.getMerchOrderSn() == null ? other.getMerchOrderSn() == null : this.getMerchOrderSn().equals(other.getMerchOrderSn()))
            && (this.getMerchSn() == null ? other.getMerchSn() == null : this.getMerchSn().equals(other.getMerchSn()))
            && (this.getThirdPartyMerchCode() == null ? other.getThirdPartyMerchCode() == null : this.getThirdPartyMerchCode().equals(other.getThirdPartyMerchCode()))
            && (this.getSendStatus() == null ? other.getSendStatus() == null : this.getSendStatus().equals(other.getSendStatus()))
            && (this.getAlipayDeclareNo() == null ? other.getAlipayDeclareNo() == null : this.getAlipayDeclareNo().equals(other.getAlipayDeclareNo()))
            && (this.getTradeNo() == null ? other.getTradeNo() == null : this.getTradeNo().equals(other.getTradeNo()))
            && (this.getBizInfoCode() == null ? other.getBizInfoCode() == null : this.getBizInfoCode().equals(other.getBizInfoCode()))
            && (this.getBizInfoDesc() == null ? other.getBizInfoDesc() == null : this.getBizInfoDesc().equals(other.getBizInfoDesc()))
            && (this.getDetailErrorCode() == null ? other.getDetailErrorCode() == null : this.getDetailErrorCode().equals(other.getDetailErrorCode()))
            && (this.getDetailErrorDes() == null ? other.getDetailErrorDes() == null : this.getDetailErrorDes().equals(other.getDetailErrorDes()))
            && (this.getIdentityCheck() == null ? other.getIdentityCheck() == null : this.getIdentityCheck().equals(other.getIdentityCheck()))
            && (this.getNote() == null ? other.getNote() == null : this.getNote().equals(other.getNote()))
            && (this.getCreaterSn() == null ? other.getCreaterSn() == null : this.getCreaterSn().equals(other.getCreaterSn()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getModerSn() == null ? other.getModerSn() == null : this.getModerSn().equals(other.getModerSn()))
            && (this.getModTime() == null ? other.getModTime() == null : this.getModTime().equals(other.getModTime()))
            && (this.getTstm() == null ? other.getTstm() == null : this.getTstm().equals(other.getTstm()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getCusAlipayRespSn() == null) ? 0 : getCusAlipayRespSn().hashCode());
        result = prime * result + ((getCusPaySn() == null) ? 0 : getCusPaySn().hashCode());
        result = prime * result + ((getOrderSn() == null) ? 0 : getOrderSn().hashCode());
        result = prime * result + ((getMerchOrderSn() == null) ? 0 : getMerchOrderSn().hashCode());
        result = prime * result + ((getMerchSn() == null) ? 0 : getMerchSn().hashCode());
        result = prime * result + ((getThirdPartyMerchCode() == null) ? 0 : getThirdPartyMerchCode().hashCode());
        result = prime * result + ((getSendStatus() == null) ? 0 : getSendStatus().hashCode());
        result = prime * result + ((getAlipayDeclareNo() == null) ? 0 : getAlipayDeclareNo().hashCode());
        result = prime * result + ((getTradeNo() == null) ? 0 : getTradeNo().hashCode());
        result = prime * result + ((getBizInfoCode() == null) ? 0 : getBizInfoCode().hashCode());
        result = prime * result + ((getBizInfoDesc() == null) ? 0 : getBizInfoDesc().hashCode());
        result = prime * result + ((getDetailErrorCode() == null) ? 0 : getDetailErrorCode().hashCode());
        result = prime * result + ((getDetailErrorDes() == null) ? 0 : getDetailErrorDes().hashCode());
        result = prime * result + ((getIdentityCheck() == null) ? 0 : getIdentityCheck().hashCode());
        result = prime * result + ((getNote() == null) ? 0 : getNote().hashCode());
        result = prime * result + ((getCreaterSn() == null) ? 0 : getCreaterSn().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getModerSn() == null) ? 0 : getModerSn().hashCode());
        result = prime * result + ((getModTime() == null) ? 0 : getModTime().hashCode());
        result = prime * result + ((getTstm() == null) ? 0 : getTstm().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", cusAlipayRespSn=").append(cusAlipayRespSn);
        sb.append(", cusPaySn=").append(cusPaySn);
        sb.append(", orderSn=").append(orderSn);
        sb.append(", merchOrderSn=").append(merchOrderSn);
        sb.append(", merchSn=").append(merchSn);
        sb.append(", thirdPartyMerchCode=").append(thirdPartyMerchCode);
        sb.append(", sendStatus=").append(sendStatus);
        sb.append(", alipayDeclareNo=").append(alipayDeclareNo);
        sb.append(", tradeNo=").append(tradeNo);
        sb.append(", bizInfoCode=").append(bizInfoCode);
        sb.append(", bizInfoDesc=").append(bizInfoDesc);
        sb.append(", detailErrorCode=").append(detailErrorCode);
        sb.append(", detailErrorDes=").append(detailErrorDes);
        sb.append(", identityCheck=").append(identityCheck);
        sb.append(", note=").append(note);
        sb.append(", createrSn=").append(createrSn);
        sb.append(", createTime=").append(createTime);
        sb.append(", moderSn=").append(moderSn);
        sb.append(", modTime=").append(modTime);
        sb.append(", tstm=").append(tstm);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}