package com.emato.ccnet.domain.ccnet;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author 
 */
public class CusOrderGoods implements Serializable {

    private static final long serialVersionUID = -1749896020080235691L;
    /**
     * 电子订单明细内部编号
     */
    private String cusOrderGoodsSn;

    /**
     * 电子订单内部编号
     */
    private String cusOrderSn;

    /**
     * 从 1 开始的递增序号
     */
    private String gnum;

    /**
     * 电商平台自定义的商品货号（SKU）
     */
    private String itemNo;

    /**
     * 交易平台销售商品的中文名称
     */
    private String itemName;

    /**
     * 交易平台销售商品的描述信息
     */
    private String itemDescribe;

    /**
     * 国际通用的商品条形码，一般由前缀部分、制造厂商代码、商品代码和校验码组成
     */
    private String barCode;

    /**
     * 填写海关标准的参数代码，参照《JGS-20 海关业务代码集》- 计量单位代码
     */
    private String unit;

    /**
     * 商品实际数量
     */
    private BigDecimal qty;

    /**
     * 商品单价。赠品单价填写为“0”
     */
    private BigDecimal price;

    /**
     * 商品总价，等于单价乘以数量
     */
    private BigDecimal totalPrice;

    /**
     * 限定为人民币，填写“142”
     */
    private String currency;

    /**
     * 填写海关标准的参数代码，参照《JGS-20 海关业务代码集》-国家（地区）代码表
     */
    private String country;

    /**
     * 保税进口必填
     */
    private String ciqGno;

    /**
     * 符合《中华人民共和国海关进出品税则》内列明的 10 位税号
     */
    private String gcode;

    /**
     * 满足海关归类、审价以及监管的要求为准。包括：品牌、规格、型号等
     */
    private String gmodel;

    /**
     * 保税进口必填
     */
    private String ciqGmodel;

    /**
     * 没有填“无
     */
    private String brand;

    /**
     * 备注
     */
    private String note;

    /**
     * 创建人编号
     */
    private String createrSn;

    /**
     * 创建时间,yyyy-MM-dd HH:mm:ss
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 修改人编号
     */
    private String moderSn;

    /**
     * 修改时间,yyyy-MM-dd HH:mm:ss
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date modTime;

    /**
     * 时间戳
     */
    private Date tstm;

    private String exField;

    private String exField2;

    private String exField3;

    private String exField4;

    private String exField5;

    public String getCusOrderGoodsSn() {
        return cusOrderGoodsSn;
    }

    public void setCusOrderGoodsSn(String cusOrderGoodsSn) {
        this.cusOrderGoodsSn = cusOrderGoodsSn;
    }

    public String getCusOrderSn() {
        return cusOrderSn;
    }

    public void setCusOrderSn(String cusOrderSn) {
        this.cusOrderSn = cusOrderSn;
    }

    public String getGnum() {
        return gnum;
    }

    public void setGnum(String gnum) {
        this.gnum = gnum;
    }

    public String getItemNo() {
        return itemNo;
    }

    public void setItemNo(String itemNo) {
        this.itemNo = itemNo;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getItemDescribe() {
        return itemDescribe;
    }

    public void setItemDescribe(String itemDescribe) {
        this.itemDescribe = itemDescribe;
    }

    public String getBarCode() {
        return barCode;
    }

    public void setBarCode(String barCode) {
        this.barCode = barCode;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public BigDecimal getQty() {
        return qty;
    }

    public void setQty(BigDecimal qty) {
        this.qty = qty;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public BigDecimal getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(BigDecimal totalPrice) {
        this.totalPrice = totalPrice;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getCiqGno() {
        return ciqGno;
    }

    public void setCiqGno(String ciqGno) {
        this.ciqGno = ciqGno;
    }

    public String getGcode() {
        return gcode;
    }

    public void setGcode(String gcode) {
        this.gcode = gcode;
    }

    public String getGmodel() {
        return gmodel;
    }

    public void setGmodel(String gmodel) {
        this.gmodel = gmodel;
    }

    public String getCiqGmodel() {
        return ciqGmodel;
    }

    public void setCiqGmodel(String ciqGmodel) {
        this.ciqGmodel = ciqGmodel;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public String getCreaterSn() {
        return createrSn;
    }

    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModerSn() {
        return moderSn;
    }

    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    public Date getModTime() {
        return modTime;
    }

    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    public Date getTstm() {
        return tstm;
    }

    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    public String getExField() {
        return exField;
    }

    public void setExField(String exField) {
        this.exField = exField;
    }

    public String getExField2() {
        return exField2;
    }

    public void setExField2(String exField2) {
        this.exField2 = exField2;
    }

    public String getExField3() {
        return exField3;
    }

    public void setExField3(String exField3) {
        this.exField3 = exField3;
    }

    public String getExField4() {
        return exField4;
    }

    public void setExField4(String exField4) {
        this.exField4 = exField4;
    }

    public String getExField5() {
        return exField5;
    }

    public void setExField5(String exField5) {
        this.exField5 = exField5;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        CusOrderGoods other = (CusOrderGoods) that;
        return (this.getCusOrderGoodsSn() == null ? other.getCusOrderGoodsSn() == null : this.getCusOrderGoodsSn().equals(other.getCusOrderGoodsSn()))
            && (this.getCusOrderSn() == null ? other.getCusOrderSn() == null : this.getCusOrderSn().equals(other.getCusOrderSn()))
            && (this.getGnum() == null ? other.getGnum() == null : this.getGnum().equals(other.getGnum()))
            && (this.getItemNo() == null ? other.getItemNo() == null : this.getItemNo().equals(other.getItemNo()))
            && (this.getItemName() == null ? other.getItemName() == null : this.getItemName().equals(other.getItemName()))
            && (this.getItemDescribe() == null ? other.getItemDescribe() == null : this.getItemDescribe().equals(other.getItemDescribe()))
            && (this.getBarCode() == null ? other.getBarCode() == null : this.getBarCode().equals(other.getBarCode()))
            && (this.getUnit() == null ? other.getUnit() == null : this.getUnit().equals(other.getUnit()))
            && (this.getQty() == null ? other.getQty() == null : this.getQty().equals(other.getQty()))
            && (this.getPrice() == null ? other.getPrice() == null : this.getPrice().equals(other.getPrice()))
            && (this.getTotalPrice() == null ? other.getTotalPrice() == null : this.getTotalPrice().equals(other.getTotalPrice()))
            && (this.getCurrency() == null ? other.getCurrency() == null : this.getCurrency().equals(other.getCurrency()))
            && (this.getCountry() == null ? other.getCountry() == null : this.getCountry().equals(other.getCountry()))
            && (this.getCiqGno() == null ? other.getCiqGno() == null : this.getCiqGno().equals(other.getCiqGno()))
            && (this.getGcode() == null ? other.getGcode() == null : this.getGcode().equals(other.getGcode()))
            && (this.getGmodel() == null ? other.getGmodel() == null : this.getGmodel().equals(other.getGmodel()))
            && (this.getCiqGmodel() == null ? other.getCiqGmodel() == null : this.getCiqGmodel().equals(other.getCiqGmodel()))
            && (this.getBrand() == null ? other.getBrand() == null : this.getBrand().equals(other.getBrand()))
            && (this.getNote() == null ? other.getNote() == null : this.getNote().equals(other.getNote()))
            && (this.getCreaterSn() == null ? other.getCreaterSn() == null : this.getCreaterSn().equals(other.getCreaterSn()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getModerSn() == null ? other.getModerSn() == null : this.getModerSn().equals(other.getModerSn()))
            && (this.getModTime() == null ? other.getModTime() == null : this.getModTime().equals(other.getModTime()))
            && (this.getTstm() == null ? other.getTstm() == null : this.getTstm().equals(other.getTstm()))
            && (this.getExField() == null ? other.getExField() == null : this.getExField().equals(other.getExField()))
            && (this.getExField2() == null ? other.getExField2() == null : this.getExField2().equals(other.getExField2()))
            && (this.getExField3() == null ? other.getExField3() == null : this.getExField3().equals(other.getExField3()))
            && (this.getExField4() == null ? other.getExField4() == null : this.getExField4().equals(other.getExField4()))
            && (this.getExField5() == null ? other.getExField5() == null : this.getExField5().equals(other.getExField5()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getCusOrderGoodsSn() == null) ? 0 : getCusOrderGoodsSn().hashCode());
        result = prime * result + ((getCusOrderSn() == null) ? 0 : getCusOrderSn().hashCode());
        result = prime * result + ((getGnum() == null) ? 0 : getGnum().hashCode());
        result = prime * result + ((getItemNo() == null) ? 0 : getItemNo().hashCode());
        result = prime * result + ((getItemName() == null) ? 0 : getItemName().hashCode());
        result = prime * result + ((getItemDescribe() == null) ? 0 : getItemDescribe().hashCode());
        result = prime * result + ((getBarCode() == null) ? 0 : getBarCode().hashCode());
        result = prime * result + ((getUnit() == null) ? 0 : getUnit().hashCode());
        result = prime * result + ((getQty() == null) ? 0 : getQty().hashCode());
        result = prime * result + ((getPrice() == null) ? 0 : getPrice().hashCode());
        result = prime * result + ((getTotalPrice() == null) ? 0 : getTotalPrice().hashCode());
        result = prime * result + ((getCurrency() == null) ? 0 : getCurrency().hashCode());
        result = prime * result + ((getCountry() == null) ? 0 : getCountry().hashCode());
        result = prime * result + ((getCiqGno() == null) ? 0 : getCiqGno().hashCode());
        result = prime * result + ((getGcode() == null) ? 0 : getGcode().hashCode());
        result = prime * result + ((getGmodel() == null) ? 0 : getGmodel().hashCode());
        result = prime * result + ((getCiqGmodel() == null) ? 0 : getCiqGmodel().hashCode());
        result = prime * result + ((getBrand() == null) ? 0 : getBrand().hashCode());
        result = prime * result + ((getNote() == null) ? 0 : getNote().hashCode());
        result = prime * result + ((getCreaterSn() == null) ? 0 : getCreaterSn().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getModerSn() == null) ? 0 : getModerSn().hashCode());
        result = prime * result + ((getModTime() == null) ? 0 : getModTime().hashCode());
        result = prime * result + ((getTstm() == null) ? 0 : getTstm().hashCode());
        result = prime * result + ((getExField() == null) ? 0 : getExField().hashCode());
        result = prime * result + ((getExField2() == null) ? 0 : getExField2().hashCode());
        result = prime * result + ((getExField3() == null) ? 0 : getExField3().hashCode());
        result = prime * result + ((getExField4() == null) ? 0 : getExField4().hashCode());
        result = prime * result + ((getExField5() == null) ? 0 : getExField5().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", cusOrderGoodsSn=").append(cusOrderGoodsSn);
        sb.append(", cusOrderSn=").append(cusOrderSn);
        sb.append(", gnum=").append(gnum);
        sb.append(", itemNo=").append(itemNo);
        sb.append(", itemName=").append(itemName);
        sb.append(", itemDescribe=").append(itemDescribe);
        sb.append(", barCode=").append(barCode);
        sb.append(", unit=").append(unit);
        sb.append(", qty=").append(qty);
        sb.append(", price=").append(price);
        sb.append(", totalPrice=").append(totalPrice);
        sb.append(", currency=").append(currency);
        sb.append(", country=").append(country);
        sb.append(", ciqGno=").append(ciqGno);
        sb.append(", gcode=").append(gcode);
        sb.append(", gmodel=").append(gmodel);
        sb.append(", ciqGmodel=").append(ciqGmodel);
        sb.append(", brand=").append(brand);
        sb.append(", note=").append(note);
        sb.append(", createrSn=").append(createrSn);
        sb.append(", createTime=").append(createTime);
        sb.append(", moderSn=").append(moderSn);
        sb.append(", modTime=").append(modTime);
        sb.append(", tstm=").append(tstm);
        sb.append(", exField=").append(exField);
        sb.append(", exField2=").append(exField2);
        sb.append(", exField3=").append(exField3);
        sb.append(", exField4=").append(exField4);
        sb.append(", exField5=").append(exField5);
        sb.append("]");
        return sb.toString();
    }
}