package com.emato.ccnet.domain.kmall;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 海关电子订单和运单
 * @author Scott Chen
 * @version 1.0
 * 2017-11-05 10:34
 */
@Component
public class WayBill implements Serializable {
    /**
     * 商户订单编号
     */
    private String orderNo;
    /**
     * 第三方商户代码
     */
    private String sellerId;
    /**
     * 第三方商户名称
     */
    private String sellerName;
    /**
     * 订购人下单时间
     */
    private Date createTime;
    /**
     * 支付时间
     */
    private Date payTime;
    /**
     * 订购人姓名
     */
    private String trueName;
    /**
     * 订购人证件类型
     */
    private String idType;
    /**
     * 订购人证件号码
     */
    private String idCode;
    /**
     * 订购人手机
     */
    private String mobile;
    /**
     * 订购人电话
     */
    private String telephone;
    /**
     * 收件人名称
     */
    private String acceptName;
    /**
     * 收件人手机
     */
    private String acceptMobile;
    /**
     * 收件人电话
     */
    private String acceptTelphone;
    /**
     * 收件人国家代码
     */
    private String country;
    /**
     * 收件人省份代码
     */
    private String province;
    /**
     * 收件人省份
     */
    private String provinceName;
    /**
     * 收件人市代码
     */
    private String city;
    /**
     * 收件人市
     */
    private String cityName;
    /**
     * 收件人区县代码
     */
    private String area;
    /**
     * 收件人区县
     */
    private String areaName;
    /**
     * 收件人地址
     */
    private String address;
    /**
     * 收件人邮编
     */
    private String zip;
    /**
     * 支付流水号
     */
    private String tradeNo;
    /**
     * 实际支付金额
     */
    private BigDecimal realAmount;
    /**
     * 运费
     */
    private String realFreight;

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getSellerId() {
        return sellerId;
    }

    public void setSellerId(String sellerId) {
        this.sellerId = sellerId;
    }

    public String getSellerName() {
        return sellerName;
    }

    public void setSellerName(String sellerName) {
        this.sellerName = sellerName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public String getTrueName() {
        return trueName;
    }

    public void setTrueName(String trueName) {
        this.trueName = trueName;
    }

    public String getIdType() {
        return idType;
    }

    public void setIdType(String idType) {
        this.idType = idType;
    }

    public String getIdCode() {
        return idCode;
    }

    public void setIdCode(String idCode) {
        this.idCode = idCode;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getAcceptName() {
        return acceptName;
    }

    public void setAcceptName(String acceptName) {
        this.acceptName = acceptName;
    }

    public String getAcceptMobile() {
        return acceptMobile;
    }

    public void setAcceptMobile(String acceptMobile) {
        this.acceptMobile = acceptMobile;
    }

    public String getAcceptTelphone() {
        return acceptTelphone;
    }

    public void setAcceptTelphone(String acceptTelphone) {
        this.acceptTelphone = acceptTelphone;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getZip() {
        return zip;
    }

    public void setZip(String zip) {
        this.zip = zip;
    }

    public String getTradeNo() {
        return tradeNo;
    }

    public void setTradeNo(String tradeNo) {
        this.tradeNo = tradeNo;
    }

    public BigDecimal getRealAmount() {
        return realAmount;
    }

    public void setRealAmount(BigDecimal realAmount) {
        this.realAmount = realAmount;
    }

    public String getRealFreight() {
        return realFreight;
    }

    public void setRealFreight(String realFreight) {
        this.realFreight = realFreight;
    }

}
