package com.emato.ccnet.mapper.ccnet;

import com.emato.ccnet.domain.ccnet.CusOrder;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CusOrderMapper {
    /**
     * 单个插入海关电子订单表
     * @param record
     * @return
     */
    int insert(CusOrder record);

    int insertSelective(CusOrder record);

    /**
     * 批量插入海关电子订单表
     * @param cusOrders
     * @return
     */
    int insertCusOrderItemBatch(List<CusOrder> cusOrders);


    /**
     * 查找ccnet中的表的数据
     * @return
     */
    List<CusOrder> findAllCusOrder();

    /**
     * 通过订单编号查找电子订单表
     * @param orderSn
     * @return
     */
    CusOrder findCusOrderByOrderNo(String orderSn);

    /**
     * 更新电子订单数据
     * @param cusOrder
     * @return
     */
    int updateCusOrder(CusOrder cusOrder);
}