package com.emato.ccnet.service.ccent.impl;

import com.emato.ccnet.contants.Contants;
import com.emato.ccnet.domain.ccnet.CusAlipay;
import com.emato.ccnet.domain.ccnet.CusAlipayResp;
import com.emato.ccnet.mapper.ccnet.CusAlipayRespMapper;
import com.emato.ccnet.service.ccent.CusAlipayRespService;
import com.emato.ccnet.snow.SnowflakeUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.Map;

@Service
public class CusAlipayRespImpl implements CusAlipayRespService{
    @Autowired
    private CusAlipayRespMapper cusAlipayRespMapper;

    /**
     * 添加回调报文
     * @param map
     * @param cusAlipay
     * @return
     */
    @Override
    public CusAlipayResp addCusAlipayResp(Map<String, String> map, CusAlipay cusAlipay) {
        //海关支付单阿里回执
        CusAlipayResp cusAlipayResp = new CusAlipayResp();
        String cusAlipayRespSn = Contants.ZWSH + SnowflakeUtil.getSnowNextId();
        cusAlipayResp.setCusAlipayRespSn(cusAlipayRespSn);
        cusAlipayResp.setCusPaySn(cusAlipay.getCusPaySn());
        cusAlipayResp.setOrderSn(cusAlipay.getOrderSn());
        cusAlipayResp.setMerchOrderSn(cusAlipay.getMerchOrderSn());
        cusAlipayResp.setMerchSn(cusAlipay.getMerchSn());
        cusAlipayResp.setThirdPartyMerchCode(cusAlipay.getThirdPartyMerchCode());
        cusAlipayResp.setSendStatus(Contants.INIT_STATUS);
        cusAlipayResp.setAlipayDeclareNo(map.get("alipay_declare_no"));
        cusAlipayResp.setTradeNo(map.get("trade_no"));
        cusAlipayResp.setBizInfoCode(map.get("result_code"));
        cusAlipayResp.setBizInfoDesc(map.get(""));
        cusAlipayResp.setDetailErrorCode(map.get("detail_error_code"));
        cusAlipayResp.setDetailErrorDes(map.get("detail_error_des"));
        cusAlipayResp.setIdentityCheck(map.get("identity_check"));
        cusAlipayResp.setCreaterSn(Contants.CREATER_NUMBER);
        cusAlipayResp.setCreateTime(new Date());

        if(cusAlipayRespMapper.insertSelective(cusAlipayResp) <= 0){
            return null;
        }
        return cusAlipayResp;

    }

    /**
     * 更新支付单状态
     * @param cusAlipayResp
     * @return
     */
    @Override
    public int updateCusAlipayResp(CusAlipayResp cusAlipayResp) {

        return cusAlipayRespMapper.updateCusAlipayResp(cusAlipayResp);
    }
}
