package com.emato.ccnet.service.ccent.impl;

import com.emato.ccnet.domain.ccnet.CusAlipayStatus;
import com.emato.ccnet.mapper.ccnet.CusAlipayStatusMapper;
import com.emato.ccnet.service.ccent.CusAlipayStatusService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class CusAlipayStatusImpl implements CusAlipayStatusService{
    @Autowired
    private CusAlipayStatusMapper cusAlipayStatusMapper;

    /**
     * 通过编号查找支付单阿里状态表
     * @param map
     * @return
     */
    @Override
    public CusAlipayStatus findCusAlipayStatus(Map<String, Object> map) {
        return cusAlipayStatusMapper.findCusAlipayStatus(map);
    }

    /**
     * 更新支付单阿里状态
     * @param cusAlipayStatus
     * @return
     */
    @Override
    public int updateCusAlipayStatus(CusAlipayStatus cusAlipayStatus) {
        return cusAlipayStatusMapper.updateCusAlipayStatus(cusAlipayStatus);
    }

    /**
     * 批量更新支付单阿里状态
     * @param list
     * @return
     */
    @Override
    public int updateCusAlipayStatusBatch(List list) {
        return cusAlipayStatusMapper.updateCusAlipayStatusBatch(list);
    }
}
