package com.emato.ccnet.service.ccent.impl;

import com.emato.ccnet.config.Merchant;
import com.emato.ccnet.contants.Contants;
import com.emato.ccnet.domain.ccnet.CusOrderResp;
import com.emato.ccnet.dto.*;
import com.emato.ccnet.mapper.ccnet.CusOrderMapper;
import com.emato.ccnet.mapper.ccnet.CusOrderRespMapper;
import com.emato.ccnet.service.ccent.CusOrderRespService;
import com.emato.ccnet.snow.SnowflakeUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

@Service
public class CusOrderRespImpl implements CusOrderRespService{
    @Autowired
    private CusOrderRespMapper cusOrderRespMapper;

    @Autowired
    private CusOrderMapper cusOrderMapper;

    @Autowired
    private Merchant merchant;
    /**
     * 更新电子订单回执数据
     * @param cusOrderResp
     * @return
     */
    @Override
    public int updateCusOrderResp(CusOrderResp cusOrderResp) {
        return cusOrderRespMapper.updateCusOrderResp(cusOrderResp);
    }

    /**
     * 添加电子订单海关的回执数据
     * @param orderCustiomsResponse
     * @return
     */
    @Override
    public CusOrderResp insertCusOrderRespByCustioms(OrderCustiomsResponse orderCustiomsResponse, String cusOrderSn) {
        CusOrderResp cusOrderResp = new CusOrderResp();
        CiqResultStatusDto ciqResultStatusDto = orderCustiomsResponse.getCiqResultStatusDto();
        CusResultStatusDto cusResultStatusDto = orderCustiomsResponse.getCusResultStatusDto();
        EportResultStatusDto eportResultStatusDto = orderCustiomsResponse.getEportResultStatusDto();
        OrderDto orderRequest = orderCustiomsResponse.getClsOrderDto();
        String cusOrderRespSn = Contants.ZWSH + SnowflakeUtil.getSnowNextId();
        cusOrderResp.setCusOrderRespSn(cusOrderRespSn);
        cusOrderResp.setCusOrderSn(cusOrderSn);
        cusOrderResp.setOrderSn(orderRequest.getOrderSn());
        cusOrderResp.setMerchOrderSn(orderRequest.getMerchOrderSn());
        cusOrderResp.setMerchSn(orderRequest.getMerchSn());
        cusOrderResp.setMerchName(orderRequest.getMerchName());
        cusOrderResp.setPlatSn(orderRequest.getPlatSn());
        cusOrderResp.setPlatName(orderRequest.getPlatName());
        cusOrderResp.setThirdPartyMerchCode(orderRequest.getThirdPartyMerchCode());
        cusOrderResp.setThirdPartyMerchName(orderRequest.getThirdPartyMerchName());
        cusOrderResp.setBizInfoCode(orderCustiomsResponse.getCode());
        cusOrderResp.setPlatRespCode(eportResultStatusDto == null ? null : eportResultStatusDto.getCode());
        cusOrderResp.setPlatRespDesc(eportResultStatusDto == null ? null : eportResultStatusDto.getMsg());
        cusOrderResp.setCusRespCode(cusResultStatusDto == null ? null : cusResultStatusDto.getCode());
        cusOrderResp.setCusRespDesc(cusResultStatusDto == null ? null : cusResultStatusDto.getMsg());
        cusOrderResp.setCiqRespCode(ciqResultStatusDto == null ? null : ciqResultStatusDto.getCode());
        cusOrderResp.setCiqRespDesc(ciqResultStatusDto == null ? null : ciqResultStatusDto.getMsg());
        cusOrderResp.setCreaterSn(Contants.CREATER_NUMBER);
        cusOrderResp.setCreateTime(new Date());

        if(cusOrderRespMapper.insertSelective(cusOrderResp) != 1){
            return null;
        }
        return cusOrderResp;
    }
}
