package com.emato.ccnet.service.ccent.impl;

import com.emato.ccnet.domain.ccnet.CusOrderStatus;
import com.emato.ccnet.mapper.ccnet.CusOrderStatusMapper;
import com.emato.ccnet.service.ccent.CusOrderStatusService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class CusOrderStatusImpl implements CusOrderStatusService{
    @Autowired
    private CusOrderStatusMapper cusOrderStatusMapper;

    /**
     * 单个更新电子订单状态表
     * @param cusOrderStatus
     * @return
     */
    @Override
    public int updateCusOrderStatus(CusOrderStatus cusOrderStatus) {
        return cusOrderStatusMapper.updateCusOrderStatus(cusOrderStatus);
    }

    /**
     * 批量更新电子订单状态
     * @param list
     * @return
     */
    @Override
    public int updateCusOrderStatusBatch(List list) {
        return cusOrderStatusMapper.updateCusOrderStatusBatch(list);
    }

    /**
     * 通过订单编号查找电子订单表
     * @param param
     * @return
     */
    @Override
    public CusOrderStatus findCusOrderStatus(Map<String, Object> param) {
        return cusOrderStatusMapper.findCusOrderStatus(param);
    }
}
