package com.emato.ccnet.service.ccent.impl;

import com.emato.ccnet.domain.ccnet.CusWaybillStatus;
import com.emato.ccnet.mapper.ccnet.CusWaybillMapper;
import com.emato.ccnet.mapper.ccnet.CusWaybillStatusMapper;
import com.emato.ccnet.service.ccent.CusWaybillStatusService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class CusWaybillStatusImpl implements CusWaybillStatusService{
    @Autowired
    private CusWaybillStatusMapper cusWaybillStatusMapper;
    /**
     * 通过状态和内部订单编号查找海关运单数据
     * @param map
     * @return
     */
    @Override
    public CusWaybillStatus findCusWaybillStatus(Map<String, Object> map) {
        return cusWaybillStatusMapper.findCusWaybillStatus(map);
    }

    /**
     * 更新海关运单数据
     * @param cusWaybillStatus
     * @return
     */
    @Override
    public int updateCusWaybillStatus(CusWaybillStatus cusWaybillStatus) {
        return cusWaybillStatusMapper.updateCusWaybillStatus(cusWaybillStatus);
    }

    /**
     * 批量更新状态
     * @param list
     * @return
     */
    @Override
    public int updateCusWaybillStatusBatch(List list) {
        return cusWaybillStatusMapper.updateCusWaybillStatusBatch(list);
    }
}
