package com.emato.ccnet.service.kmall;

import com.emato.ccnet.domain.kmall.OrderBill;
import com.emato.ccnet.domain.kmall.WayBill;
import com.emato.ccnet.domain.kmall.PayBill;

import java.util.List;
import java.util.Map;

/**
 * 海关三单
 *
 * @author Scott Chen
 * @version 1.0
 * 2017-11-04 17:42
 */
public interface KmallOrderService {
    /**
     * 电子订单运单数据
     * @param param
     * @return
     */
    List<WayBill> getWaybills(Map<String, Object> param);

    /**
     * 支付单数据
     * @param param
     * @return
     */
    List<PayBill> getPayBills(Map<String, Object> param);

    List<PayBill> getIcbcPayBills(Map<String, Object> param);

    /**
     * 海关订单批量更新
     * @param list
     * @return
     */
    int updateCusKmallOrderStatusBatch(List list);

    /**
     * 电子订单数据
     * @param param
     * @return
     */
    List<OrderBill> getOrderBill(Map<String, Object> param);

    /**
     * 单个更新订单状态
     * @param kmallMap
     * @return
     */
    int updateCusKmallOrderStatus(Map<String, Object> kmallMap);
}
