package com.emato.ccnet.util;

import org.jxls.common.Context;
import org.jxls.util.JxlsHelper;

import java.io.*;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.List;

/**
 * Excel 工具类
 * @author Scott Chen
 * @version 1.0
 * 2017-11-09 10:44
 */
public class ExcelJxlsUtil {

    /**
     * 导出excel
     * @param srcPath
     * @param destPath
     * @param destFileName
     * @param key
     * @param list
     * @return
     * @throws IOException
     */
    public static final boolean expExcel(String srcPath, String destPath, String destFileName, String key, List<?> list) throws IOException {
        InputStream is;
        OutputStream os;
        File destPathFile;
        File destFile;

        if (ExcelJxlsUtil.class.getResourceAsStream(srcPath) == null) {
            return false;
        }

        is = ExcelJxlsUtil.class.getResourceAsStream(srcPath);

        destPathFile = new File(destPath);
        if (!destPathFile.exists()) {
            destPathFile.mkdirs();
        }

        //目标文件名分割
        File f = new File(destFileName);
        String fileName = f.getName();
        //前缀
        String prefix = fileName.substring(0, fileName.indexOf("."));
        //后缀
        String postfix = fileName.substring(fileName.indexOf(".") + 1, fileName.length());

        int i = 0;
        do {
            i++;
            //如果文件重名, 重新组装文件
            destFileName = prefix + "_" + LocalDateTime.now().format(DateTimeFormatter.ofPattern("yyyyMMddHHmmss")) + "_" + i + "." + postfix;
        } while (new File(destPath + destFileName).exists());

        destFile = new File(destPath + destFileName);
        os = new FileOutputStream(destFile);

        try {
            Context context = new Context();
            context.putVar(key, list);
            JxlsHelper.getInstance().processTemplate(is, os, context);
        } catch (Exception e) {
            throw e;
        }
        return true;
    }



}
