package com.emato.ccnet.util;

import com.google.common.base.Strings;

import java.util.regex.Pattern;

/**
 * @author Scott Chen
 * @date 2017/3/30
 */
public class StringUtil {

    /**
     * 判断字符串为数值型
     * @param str
     * @return
     */
    public static boolean isNumeric(String str){
        Pattern pattern = Pattern.compile("[0-9]*");
        return pattern.matcher(str).matches();
    }

    /**
     * 判断给定字符串是否为非负整数,如果不是,则替换为指定值
     * @param str
     * @param value
     * @return
     */
    public static int replacedNotPosInt(String str, int value) {
        value = value < 0 ? 0 : value;
        int startNum = Strings.isNullOrEmpty(str) ? value : StringUtil.isNumeric(str) ? Integer.valueOf(str) : value;
        return startNum < 0 ? value : startNum;
    }

    /**
     * 判断给定字符串是否为正整数,如果不是,则替换为指定值
     * @param str
     * @param value
     * @return
     */
    public static int replacedPosInt(String str, int value) {
        int startNum = Strings.isNullOrEmpty(str) ? value : StringUtil.isNumeric(str) ? Integer.valueOf(str) : value;
        return startNum <= 0 ? value : startNum;
    }

}
